@import '../../../global/var';

$standart-padding:      24px;
$inner-padding:         20px;
$wizard-dark-gray:      #7f7f7f;
$wizard-white:          $white;

.widget-wizard {
    min-width: $screen-tablet !important;
    > .md-dialog-content {
        > *[ng-transclude] {
            overflow-y: hidden !important;
        }
    }
    &_container {
        min-height: 718px !important;
        min-width: 300px !important;
        height: 576px;
        overflow-y: auto !important;
        padding: 28px 24px 24px 24px !important;

        @media(max-width: $screen-phone) {
            height: 100%;
        }

        &_title {
            padding-bottom: $standart-padding;
            line-height: 20px;

            &_common, &_search {
                display: inline-block;
            }

            &_common {
                font-size: 20px;
                letter-spacing: 0.2px;
                color: $black;
            }

            &_search {
                label, md-icon {
                    color: rgba(78, 82, 89, 0.5);
                }

                label {
                    font-size: 12px;
                    letter-spacing: 0.1px;
                }

                input {
                    width: 160px;
                }

                md-icon {
                    font-size: 18px;
                }
            }
        }
    }

    &_container-helper {
        overflow-y: hidden;
        padding-left: 0 !important;
        display: flex;
        align-items: center;
        min-width: 240px;
        &_picture {
            width: 100%;
            min-height: 180px;

            &_item {

                margin-bottom: 18px;

                &.item-table {
                    margin: 0 10px 18px 10px;
                    height: 149px;
                }
                overflow: auto;

                *[data-echarts] {
                    margin: auto !important;
                }
            }
            &_caption {
                font-size: 12px;
                font-weight: 500;
                line-height: normal;
                letter-spacing: normal;
                text-align: center;
                color: rgba($black, 0.5);
            }
            &_empty-caption {
                color: rgba($black, 0.15);
                letter-spacing: 0.6px;
                font-weight: 300;
                font-size: 20px;
                text-align: center;
                line-height: 180px;
                vertical-align: middle;
            }
        }
        &_actions {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            padding: 0 $inner-padding $inner-padding $inner-padding;
        }
    }

    @media(min-width: $screen-desktop) {
        min-width: 864px;
    }
}
